Skip to content
Hexel StudioDocs

Fork a finished root run at a step into a new task

POST/harness/runs/{id}/fork

Headers

Bearer <token>. A Hexel Studio access token for your organization.

The workspace the request acts in (ws_...). It never grants access by itself.

The environment the request acts in (env_...). It never grants access by itself.

Body parameters

stepintegerint32
instructionoptional string

A new instruction for the fork.

modeloptional string

Another model the agent's bundle allows.

versionoptional integerint32

Another version of the agent.

Returns

201The forked task.Task

agentstring
agent_idstring

Any JSON value.

cost_usdnumberdouble
created_atstringdate-time
end_reasonoptional string
erased_atoptional stringdate-time
goalstring
goal_digestoptional string
held_atoptional stringdate-time
idstring

Any JSON value.

inputs_digestoptional string
last_seqintegerint64
org_idstring
outputsoptional object
run_idstring
sandbox_templateoptional string
statestring

One of: "queued", "running", "waiting", "paused", "succeeded", "failed", "budget_exhausted", "cancelled"

swarm_idoptional string
tokens_inintegerint64
tokens_outintegerint64
updated_atstringdate-time
versionintegerint32
waiting_reasonoptional string

Errors

  • default